<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage ewtplugins
 */

/*
 * Smarty {browser_body_style} insert plugin
 *
 * File:     function.browser_body_style.php<br>
 * Type:     function
 * Name:     browser_body_style
 * Date:    July 16, 2008
 * Purpose:  generate browser/os-specific class names for the body tag to facilitate browser-specific CSS
 * @author   Jason Habbley <jason at edgeworkstech dot com>
 * @version  0.2
 */


function smarty_function_browser_body_style($params, &$smarty)
{

    $browser = array ("IE","OPERA","MOZILLA","NETSCAPE","FIREFOX","SAFARI");
    $os = array ("WIN","MAC");
    $info['browser'] = "OTHER";
    $info['os'] = "OTHER";
 
    foreach ($browser as $parent)
        {
        $s = strpos(strtoupper($_SERVER['HTTP_USER_AGENT']), $parent);
        $f = $s + strlen($parent);
        $version = substr($_SERVER['HTTP_USER_AGENT'], $f, 5);
        $version = preg_replace('/[^0-9,.]/','',$version);
        if ($s)
            {
            $info['browser'] = $parent;
            $info['version'] = $version;
            }
        }
 
    foreach ($os as $val)
    {
        if (eregi($val,strtoupper($_SERVER['HTTP_USER_AGENT']))) $info['os'] = $val;
    }
   
   $output = array();
   //os_browser_version
   $output[] = join("_", array($info['os'], $info['browser'], (int)$info['version']));
   //os_browser
   $output[] = join("_", array($info['os'], $info['browser']));
   //browser_version
   $output[] = join("_", array($info['browser'], (int)$info['version']));
   //os
   $output[] = $info['os'];
   //browser
   $output[] = $info['browser'];

   return strtolower(join(" ", $output));
}
?>